Debian Bug report logs - #514607
libopenjpeg-dev: openjpeg.h current installation is not compatible with default behavior

version graph

Package: libopenjpeg-dev; Maintainer for libopenjpeg-dev is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>; Source for libopenjpeg-dev is src:openjpeg.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 9 Feb 2009 12:45:01 UTC

Severity: normal

Found in version openjpeg/1.3+dfsg-3

Fixed in version openjpeg/1.5.0-1

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#514607; Package libopenjpeg-dev. (Mon, 09 Feb 2009 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 09 Feb 2009 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libopenjpeg-dev: openjpeg.h current installation is not compatible with default behavior
Date: Mon, 09 Feb 2009 13:43:22 +0100
Package: libopenjpeg-dev
Version: 1.3+dfsg-3
Severity: normal


current debian package is not compatible with default installation making it difficult to use.

See:
http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2009-February/061756.html

<...>
Could someone add support for the default debian libopenjpeg installation:

gcc -Wall -W -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -std=c99
-fomit-frame-pointer -E -o /tmp/ffmpeg-conf-9160-12268-522.o
/tmp/ffmpeg-conf-13316-12268-2283.c
/tmp/ffmpeg-conf-13316-12268-2283.c:1:34: error:
libopenjpeg/openjpeg.h: No such file or directory
<...>

Thanks

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'testing'), (40, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libopenjpeg-dev depends on:
ii  libopenjpeg2                  1.3+dfsg-3 JPEG 2000 image compression/decomp

libopenjpeg-dev recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#514607; Package libopenjpeg-dev. (Mon, 09 Feb 2009 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 09 Feb 2009 13:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 514607@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 514607@bugs.debian.org
Subject: Re: [Pkg-phototools-devel] Bug#514607: libopenjpeg-dev: openjpeg.h current installation is not compatible with default behavior
Date: Mon, 9 Feb 2009 13:58:05 +0100
[Message part 1 (text/plain, inline)]
Mathieu Malaterre <mathieu.malaterre@gmail.com> (09/02/2009):
> current debian package is not compatible with default installation
> making it difficult to use.

Hmm? From a codesearch.google.com search, it looks like there are a
bunch of people just using “#include <openjpeg.h>”. Why not doing that?

> See:
> http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2009-February/061756.html
> 
> <...>
> Could someone add support for the default debian libopenjpeg installation:
> 
> gcc -Wall -W -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -std=c99
> -fomit-frame-pointer -E -o /tmp/ffmpeg-conf-9160-12268-522.o
> /tmp/ffmpeg-conf-13316-12268-2283.c
> /tmp/ffmpeg-conf-13316-12268-2283.c:1:34: error:
> libopenjpeg/openjpeg.h: No such file or directory
> <...>

I'm not sure what you call default installation anyway. After running
“debuild” in the source package's tree (so that everything gets built),
and then doing a “default” installation (without any files shuffling
across any directories), one gets:
| $ fakeroot make install DESTDIR=$(pwd)/foo
| [ things ]
| $ find foo -name openjpeg.h               
| foo/usr/include/openjpeg.h

Looks to me like mplayer has to be fixed, rather than openjpeg's
packaging, no? (Probably an autotools check trying various includes,
depending on where the header could have been installed.)

So, not a bug for me, but waiting for your input before closing it.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#514607; Package libopenjpeg-dev. (Mon, 09 Feb 2009 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robin Cornelius <robin.cornelius@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 09 Feb 2009 14:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 514607@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: 514607@bugs.debian.org
Cc: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Subject: Re: [Pkg-phototools-devel] Bug#514607: Bug#514607: libopenjpeg-dev: openjpeg.h current installation is not compatible with default behavior
Date: Mon, 9 Feb 2009 14:31:01 +0000
On Mon, Feb 9, 2009 at 12:58 PM, Cyril Brulebois <kibi@debian.org> wrote:
> Mathieu Malaterre <mathieu.malaterre@gmail.com> (09/02/2009):
>> current debian package is not compatible with default installation
>> making it difficult to use.
>
> Hmm? From a codesearch.google.com search, it looks like there are a
> bunch of people just using "#include <openjpeg.h>". Why not doing that?

I've actually seen openjpeg.h in 3 locations in the wild :-

/usr/include/openjpeg.h
/usr/include/openjpeg/openjpeg.h
/usr/include/libopenjpeg/openjpeg.h

Pretty much any project i use openjpeg in i now do the #include
<openjpeg.h> with the autotools/cmake etc rules for adding the correct
include search path to gcc.

I'm on the fence w.r.t changing the location, as if we fix it for one
app, i suspect it will break others who are using it.

Robin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#514607; Package libopenjpeg-dev. (Tue, 10 Aug 2010 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Tue, 10 Aug 2010 08:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 514607@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Robin Cornelius <robin.cornelius@gmail.com>
Cc: 514607@bugs.debian.org
Subject: Re: [Pkg-phototools-devel] Bug#514607: Bug#514607: libopenjpeg-dev: openjpeg.h current installation is not compatible with default behavior
Date: Tue, 10 Aug 2010 10:20:50 +0200
On Mon, Feb 9, 2009 at 4:31 PM, Robin Cornelius
<robin.cornelius@gmail.com> wrote:
> On Mon, Feb 9, 2009 at 12:58 PM, Cyril Brulebois <kibi@debian.org> wrote:
>> Mathieu Malaterre <mathieu.malaterre@gmail.com> (09/02/2009):
>>> current debian package is not compatible with default installation
>>> making it difficult to use.
>>
>> Hmm? From a codesearch.google.com search, it looks like there are a
>> bunch of people just using "#include <openjpeg.h>". Why not doing that?
>
> I've actually seen openjpeg.h in 3 locations in the wild :-
>
> /usr/include/openjpeg.h
> /usr/include/openjpeg/openjpeg.h
> /usr/include/libopenjpeg/openjpeg.h
>
> Pretty much any project i use openjpeg in i now do the #include
> <openjpeg.h> with the autotools/cmake etc rules for adding the correct
> include search path to gcc.
>
> I'm on the fence w.r.t changing the location, as if we fix it for one
> app, i suspect it will break others who are using it.

Hi Robin,

  There has been some work going on in openjpeg. They removed support
for the old autotools based makefile (at least no more official
support). They switch to cmake based system, and now openjpeg 1.x and
openjpeg 2.x can be parallel uinstallable using the following
convention:

/usr/include/openjpeg-1.4/openjpeg.h
/usr/include/openjpeg-2.0/openjpeg.h

I believe this would be a better long term solution, if debian could
switch to that convention. We could also install a symlink...

-- 
Mathieu




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:30 GMT) Full text and rfc822 format available.

Marked as fixed in versions libopenjpeg-dev/1.5.0-1. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 20:45:10 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Tue, 17 Apr 2012 20:51:19 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 20:51:19 GMT) Full text and rfc822 format available.

Message #29 received at 514607-done@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 514607-done@bugs.debian.org
Date: Tue, 17 Apr 2012 22:47:26 +0200
Closed in latest upload to experimental.




No longer marked as fixed in versions libopenjpeg-dev/1.5.0-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:33:29 GMT) Full text and rfc822 format available.

Marked as fixed in versions openjpeg/1.5.0-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:33:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:03:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.